PDA

Bekijk de volledige versie : Problem mit Drucker HL-1430 auf WL-500gP V2



EastoftheMiddle
15-05-2008, 18:34
Hallo allerseits,

ich habe ein Problem meinen Brother HL-1430 über das Netzwerk zu benutzen.
Installiert habe ich die -10 Version von Oleg's FW, mit der Original FW hat es laut Anleitung aus dem Handbuch problemlos funktioniert.
Habe laut Anleitung auf http://oleg.wl500g.info/printing/ versucht, den Drucker zu installieren, aber es geht keine Testseite o.ä. zu drucken. Daraufhin habe ich erstmal auf dem Web Interface nachgesehen und da taucht er ebenfalls nicht auf, ein lsusb zeigt den Drucker auch nicht.



[admin@ASUS root]$ lsusb
Bus 002 Device 001: ID 0000:0000
Bus 002 Device 003: ID 04b4:6830 Cypress Semiconductor Corp. USB-2.0 IDE Adapter
Bus 001 Device 001: ID 0000:0000
[admin@ASUS root]$


Hier noch meine geladenen Kernelmodule



[admin@ASUS root]$ lsmod
Module Size Used by Tainted: P
usb-storage 63928 3
sd_mod 13276 6
scsi_mod 70200 2 [usb-storage sd_mod]
videodev 8312 0
audio 50664 0 (unused)
soundcore 5288 0 [audio]
printer 12900 0 (unused)
ehci-hcd 23804 0 (unused)
usb-ohci 21908 0 (unused)
usbcore 78496 1 [usb-storage audio printer ehci-hcd usb-ohci]
ip_nat_ftp 3912 0 (unused)
ip_conntrack_ftp 5216 1
wl 892280 0 (unused)
et 31288 0 (unused)
[admin@ASUS root]$


und die Software, die installiert ist.



[admin@ASUS root]$ ipkg list_installed
amule - 2.1.3-10 - non-gui part of aMule ed2k client (amuled,amulweb,amulecmd)
bzip2 - 1.0.5-1 - Very high-quality data compression program
coreutils - 6.9-7 - Bunch of heavyweight *nix core utilities
cron - 4.1-7 - Standard vixie cron, with cron.d addition
e2fslibs - 1.40.9-1 - Ext2 Filesystem Libraries
e2fsprogs - 1.40.9-1 - Ext2 Filesystem Utilities
expat - 2.0.1-1 - XML Parser library
findutils - 4.2.32-1 - File finding utilities
fontconfig - 2.5.0-0 - Font configuration library
freetype - 2.1.10-4 - Free truetype library
gconv-modules - 2.2.5-7 - Provides gconv modules missing from the firmware. These are used by glibc's iconv() implementation.
glib - 2.12.13-1 - The GLib library of C routines.
gnuplot - 4.2.3-1 - Command-line driven interactive data and function plotting utility
groff - 1.19.2-2 - front-end for the groff document formatting system
hdparm - 8.5-1 - Linux hard drive parameter utility
ipkg-opt - 0.99.163-9 - The Itsy Package Manager
less - 418-1 - Less file browser
libcurl - 7.18.1-2 - Curl is a command line tool for transferring files with URL syntax, supporting FTP, FTPS, HTTP, HTTPS, GOPHER, TELNET, DICT, FI
libgd - 2.0.35-2 - An ANSI C library for the dynamic creation of images
libjpeg - 6b-2 - collection of jpeg tools
libpng - 1.2.29-1 - Portable Network Graphics Libraries
libuclibc++ - 0.2.2-7 -
libusb - 0.1.12-1 - Library for interfacing to the USB subsystem.
logrotate - 3.7.5-2 - Rotates, compresses, removes and mails system log files.
lynx - 2.8.6-1 - A text browser for the World Wide Web
man - 1.6f-1 - unix manual page reader
man-pages - 2.76-1 - unix manual pages
mc - 4.6.1-3 - Midnight Commander File Manager
nano - 2.1.1-1 - A pico like editor
ncurses - 5.6-3 - NCurses libraries
ncursesw - 5.6-2 - NCurses libraries with wide char support.
nload - 0.7.1-3 - Nload is a console application which monitors network traffic and bandwidth usage in real time
openssl - 0.9.7m-4 - Openssl provides the ssl implementation in libraries libcrypto and libssl, and is needed by many other applications and librari
popt - 1.14-1 - A C library for parsing command line parameters.
procps - 3.2.7-6 - PROCPS System Utilities
readline - 5.2-2 - The GNU Readline library provides a set of functions for use by applications that allow users to edit command lines as they are
screen - 4.0.3-2 - A screen manager that supports multiple logins on single terminal
slang - 2.1.3-1 - S-Lang is a multi-platform library designed to allow a developer to create robust multi-platform software.
termcap - 1.3.1-2 - Terminal emulation library
transmission - 1.11+r5740-1 - lightweight BitTorrent client and daemon with WWW interface
uclibc-opt - 0.9.28-13 - micro C library for embedded Linux systems
unzip - 5.52-3 - A (de)compression library for the ZIP format
usbutils - 0.72-1 - USB enumeration utilities
util-linux - 2.12r-6 - A suite of essential utilities for any Linux system.
wxbase - 2.8.0-5 - wxbase is a basic (non-windows) part of wxWidget toolkit
zlib - 1.2.3-2 - zlib is a library implementing the 'deflate' compression system.
Successfully terminated.
[admin@ASUS root]$


Es macht mich stutzig, daß der Drucker erst gar nicht erkannt wird, da die USB Module sowie "printer" ja geladen sind, nur eben "unused". Wird der Drucker nicht von olegs FW unterstützt?
Im Wiki von OpenWRT.org fand ich ein http://wiki.openwrt.org/PrinterSharingHowto (HowTo) in dem von p910nd die rede ist. Bei "top" taucht selbiges bei mir auch auf als Prozeß, bei



[admin@ASUS root]$ ps axf|grep p910|grep -v grep
81 ? Ss 0:00 p9100d -f /dev/usb/lp0 0
8865 ? Ss 0:00 p9100d
8970 ? Ss 0:00 p9100d -f /dev/usb/lp0
[admin@ASUS root]$


sehe ich einen Verweis auf /dev/usb/lp0, das gibts aber bei mir nicht im Dateisystem.
Lange Rede, kurzer Sinn: Ich weiß nicht was ich falsch mache und ich weiß nicht mehr, was ich noch tun soll. Google ist leider keine weitere Hilfe mehr.

Es wäre schön, wenn mir jemand auf die Sprünge helfen könnte.

Vielen Dank

EastoftheMiddle